# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-02-05 21:50
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython


def enumerate_order_field(apps, schema_editor):
    SEOText = apps.get_model('marketing', 'SEOText')

    counter = 0
    for seo_text in SEOText.objects.all():
        seo_text.order_field = counter
        counter += 1
        seo_text.save()

class Migration(migrations.Migration):

    dependencies = [
        ('marketing', '0020_auto_20180206_0046'),
    ]

    operations = [
        RunPython(enumerate_order_field)
    ]
